public static interface JingEndpointBuilderFactory.JingBuilders
| Modifier and Type | Method and Description |
|---|---|
default JingEndpointBuilderFactory.JingEndpointBuilder |
jing(String path)
Jing (camel-jing)
Validate XML against a RelaxNG schema (XML Syntax or Compact Syntax)
using Jing library.
|
default JingEndpointBuilderFactory.JingEndpointBuilder |
jing(String componentName,
String path)
Jing (camel-jing)
Validate XML against a RelaxNG schema (XML Syntax or Compact Syntax)
using Jing library.
|
default JingEndpointBuilderFactory.JingEndpointBuilder jing(String path)
jing:resourceUri
Path parameter: resourceUri (required)
URL to a local resource on the classpath or a full URL to a remote
resource or resource on the file system which contains the schema to
validate against.path - resourceUridefault JingEndpointBuilderFactory.JingEndpointBuilder jing(String componentName, String path)
jing:resourceUri
Path parameter: resourceUri (required)
URL to a local resource on the classpath or a full URL to a remote
resource or resource on the file system which contains the schema to
validate against.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel